Debian Bug report logs - #476749
cron-apt: APTCOMMAND=aptitude does not reach required quiet level

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Marc Haber <mh+debian-bugs@zugschlus.de>

Date: Fri, 18 Apr 2008 22:09:04 UTC

Severity: normal

Fixed in version aptitude/0.4.11.3-1

Done: Daniel Burrows <dburrows@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#476749; Package cron-apt. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
New Bug report received and forwarded. Copy sent to Ola Lundqvist <opal@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cron-apt: APTCOMMAND=aptitude does not reach required quiet level
Date: Sat, 19 Apr 2008 00:07:01 +0200
Package: cron-apt
Version: 0.6.6
Severity: normal

Hi,

when APTCOMMAND=aptitude, aptitude seems to ignore the -o quiet=
option that _is_ passed to it on the command line:
[pid 26017] execve("/usr/bin/aptitude", ["/usr/bin/aptitude", "-o", "quiet=1", "update", "-o", "quiet=2"], [/* 17 vars */]) = 0
CRON-APT LINE: /usr/bin/aptitude update -o quiet=2
Get:1 http://debian.debian.zugschlus.de etch Release.gpg [378B]
Ign http://zg.debian.zugschlus.de zg/etch Release.gpg
Get:2 http://debian.debian.zugschlus.de etch/updates Release.gpg [189B]
Ign http://zg.debian.zugschlus.de zg/testetch Release.gpg
Hit http://zg.debian.zugschlus.de zg/etch Release
Hit http://debian.debian.zugschlus.de etch Release
Hit http://zg.debian.zugschlus.de zg/testetch Release
Get:3 http://volatile.debian.zugschlus.de etch/volatile Release.gpg [189B]
Get:4 http://volatile.debian.org etch/volatile Release.gpg [189B]

However:
$ sudo -H env -i aptitude update -o quiet=2
Reading package lists...
$

This works fine when directly called from the command line, even if
the quiet= option is doubled as in the call issued by cron-apt.

I do not know what happens here.

Greetings
Marc




Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#476749; Package cron-apt. Full text and rfc822 format available.

Acknowledgement sent to opal@debian.org:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. Full text and rfc822 format available.

Message #10 received at 476749@bugs.debian.org (full text, mbox):

From: Ola Lundqvist <opal@debian.org>
To: Marc Haber <mh+debian-bugs@zugschlus.de>, 476749@bugs.debian.org
Cc: aptitude@packages.debian.org
Subject: Re: Bug#476749: cron-apt: APTCOMMAND=aptitude does not reach required quiet level
Date: Sat, 19 Apr 2008 11:38:22 +0200
Hi Marc

Neither do I. Aptitude must do something wrong here.

Best regards,

// Ola

On Sat, Apr 19, 2008 at 12:07:01AM +0200, Marc Haber wrote:
> Package: cron-apt
> Version: 0.6.6
> Severity: normal
> 
> Hi,
> 
> when APTCOMMAND=aptitude, aptitude seems to ignore the -o quiet=
> option that _is_ passed to it on the command line:
> [pid 26017] execve("/usr/bin/aptitude", ["/usr/bin/aptitude", "-o", "quiet=1", "update", "-o", "quiet=2"], [/* 17 vars */]) = 0
> CRON-APT LINE: /usr/bin/aptitude update -o quiet=2
> Get:1 http://debian.debian.zugschlus.de etch Release.gpg [378B]
> Ign http://zg.debian.zugschlus.de zg/etch Release.gpg
> Get:2 http://debian.debian.zugschlus.de etch/updates Release.gpg [189B]
> Ign http://zg.debian.zugschlus.de zg/testetch Release.gpg
> Hit http://zg.debian.zugschlus.de zg/etch Release
> Hit http://debian.debian.zugschlus.de etch Release
> Hit http://zg.debian.zugschlus.de zg/testetch Release
> Get:3 http://volatile.debian.zugschlus.de etch/volatile Release.gpg [189B]
> Get:4 http://volatile.debian.org etch/volatile Release.gpg [189B]
> 
> However:
> $ sudo -H env -i aptitude update -o quiet=2
> Reading package lists...
> $
> 
> This works fine when directly called from the command line, even if
> the quiet= option is doubled as in the call issued by cron-apt.
> 
> I do not know what happens here.
> 
> Greetings
> Marc
> 
> 
> 

-- 
 --------------------- Ola Lundqvist ---------------------------
/  opal@debian.org                     Annebergsslingan 37      \
|  ola@inguza.com                      654 65 KARLSTAD          |
|  http://inguza.com/                  +46 (0)70-332 1551       |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36  4FE4 18A1 B1CF 0FE5 3DD9 /
 ---------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#476749; Package cron-apt. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. Full text and rfc822 format available.

Message #15 received at 476749@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Ola Lundqvist <opal@debian.org>
Cc: Marc Haber <mh+debian-bugs@zugschlus.de>, 476749@bugs.debian.org, aptitude@packages.debian.org
Subject: Re: Bug#476749: cron-apt: APTCOMMAND=aptitude does not reach required quiet level
Date: Sun, 20 Apr 2008 08:20:29 -0700
On Sat, Apr 19, 2008 at 11:38:22AM +0200, Ola Lundqvist <opal@debian.org> was heard to say:
> Neither do I. Aptitude must do something wrong here.

  aptitude tries to be quieter (in particular, to not emit control
characters) when its output isn't a tty:

    if(quiet == 0 && !isatty(1))
      aptcfg->SetNoUser("quiet", 1);

  After that code was written, someone asked for "quiet=2" to have a
different meaning from "quiet=1".  Tada!

  Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#476749; Package cron-apt. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. Full text and rfc822 format available.

Message #20 received at 476749@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Daniel Burrows <dburrows@debian.org>
Cc: Ola Lundqvist <opal@debian.org>, 476749@bugs.debian.org, aptitude@packages.debian.org
Subject: Re: Bug#476749: cron-apt: APTCOMMAND=aptitude does not reach required quiet level
Date: Sun, 20 Apr 2008 18:44:44 +0200
On Sun, Apr 20, 2008 at 08:20:29AM -0700, Daniel Burrows wrote:
> On Sat, Apr 19, 2008 at 11:38:22AM +0200, Ola Lundqvist <opal@debian.org> was heard to say:
> > Neither do I. Aptitude must do something wrong here.
> 
>   aptitude tries to be quieter (in particular, to not emit control
> characters) when its output isn't a tty:

I suspected that, but didn't get into debugging any deeper (currently
am on vacation).

Do you want me to clone and reassign?

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 3221 2323190




Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#476749; Package cron-apt. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. Full text and rfc822 format available.

Message #25 received at 476749@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Marc Haber <mh+debian-bugs@zugschlus.de>
Cc: Ola Lundqvist <opal@debian.org>, 476749@bugs.debian.org, aptitude@packages.debian.org
Subject: Re: Bug#476749: cron-apt: APTCOMMAND=aptitude does not reach required quiet level
Date: Sun, 20 Apr 2008 10:35:41 -0700
On Sun, Apr 20, 2008 at 06:44:44PM +0200, Marc Haber <mh+debian-bugs@zugschlus.de> was heard to say:
> On Sun, Apr 20, 2008 at 08:20:29AM -0700, Daniel Burrows wrote:
> > On Sat, Apr 19, 2008 at 11:38:22AM +0200, Ola Lundqvist <opal@debian.org> was heard to say:
> > > Neither do I. Aptitude must do something wrong here.
> > 
> >   aptitude tries to be quieter (in particular, to not emit control
> > characters) when its output isn't a tty:
> 
> I suspected that, but didn't get into debugging any deeper (currently
> am on vacation).
> 
> Do you want me to clone and reassign?

  Sure, or you could just reassign without cloning.  It's fixed already
in head.

  Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, Ola Lundqvist <opal@debian.org>:
Bug#476749; Package cron-apt. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Ola Lundqvist <opal@debian.org>. Full text and rfc822 format available.

Message #30 received at 476749@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Daniel Burrows <dburrows@debian.org>
Cc: Ola Lundqvist <opal@debian.org>, 476749@bugs.debian.org, aptitude@packages.debian.org
Subject: Re: Bug#476749: cron-apt: APTCOMMAND=aptitude does not reach required quiet level
Date: Sun, 20 Apr 2008 19:49:32 +0200
reassign #476749 aptitude
thanks

On Sun, Apr 20, 2008 at 10:35:41AM -0700, Daniel Burrows wrote:
>   Sure, or you could just reassign without cloning.

Doing so, it is not an issue in cron-apt.

>   It's fixed already in head.

Good news, thanks!

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 3221 2323190




Bug reassigned from package `cron-apt' to `aptitude'. Request was from Marc Haber <mh+debian-bugs@zugschlus.de> to control@bugs.debian.org. (Sun, 20 Apr 2008 17:51:21 GMT) Full text and rfc822 format available.

Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 476749-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 476749-close@bugs.debian.org
Subject: Bug#476749: fixed in aptitude 0.4.11.3-1
Date: Tue, 27 May 2008 05:32:04 +0000
Source: aptitude
Source-Version: 0.4.11.3-1

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-dbg_0.4.11.3-1_i386.deb
  to pool/main/a/aptitude/aptitude-dbg_0.4.11.3-1_i386.deb
aptitude-doc-cs_0.4.11.3-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-cs_0.4.11.3-1_all.deb
aptitude-doc-en_0.4.11.3-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-en_0.4.11.3-1_all.deb
aptitude-doc-fi_0.4.11.3-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fi_0.4.11.3-1_all.deb
aptitude-doc-fr_0.4.11.3-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fr_0.4.11.3-1_all.deb
aptitude-doc-ja_0.4.11.3-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-ja_0.4.11.3-1_all.deb
aptitude_0.4.11.3-1.diff.gz
  to pool/main/a/aptitude/aptitude_0.4.11.3-1.diff.gz
aptitude_0.4.11.3-1.dsc
  to pool/main/a/aptitude/aptitude_0.4.11.3-1.dsc
aptitude_0.4.11.3-1_i386.deb
  to pool/main/a/aptitude/aptitude_0.4.11.3-1_i386.deb
aptitude_0.4.11.3.orig.tar.gz
  to pool/main/a/aptitude/aptitude_0.4.11.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 476749@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 26 May 2008 21:25:26 -0700
Source: aptitude
Binary: aptitude aptitude-dbg aptitude-doc-cs aptitude-doc-en aptitude-doc-fi aptitude-doc-fr aptitude-doc-ja
Architecture: source all i386
Version: 0.4.11.3-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based package manager
 aptitude-dbg - Debug symbols for the aptitude package manager
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based package manager
 aptitude-doc-en - English manual for aptitude, a terminal-based package manager
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based package manager
 aptitude-doc-fr - French manual for aptitude, a terminal-based package manager
 aptitude-doc-ja - Japanese manual for aptitude, a terminal-based package manager
Closes: 333468 475740 476344 476732 476749 476835 476837 477165 477295 480062 480063 480533 481007 481458
Changes: 
 aptitude (0.4.11.3-1) unstable; urgency=low
 .
   * New upstream release.
 .
     - "aptitude unhold" should work now. (Closes: #477165)
 .
     - Fixed almost complete breakage of "aptitude changelog". (Closes: #481458)
 .
     - Fixed retrieving the changelogs of bin-nmued packages from the curses
       interface. (Closes: #333468)
 .
     - Always be at least as quiet as the user requested that we be.
       (Closes: #476749)
 .
     - Remove a stray hyphen in the output of --help. (Closes: #476835)
 .
     - Fix the manpage to talk about Recommends-Important instead of
       Install-Recommends. (Closes: #480533)
 .
     - Translation updates:
       * Brazilian Portuguese (Closes: #481007)
       * Danish (Closes: #476732)
       * French
       * Galician (Closes: #476837)
       * German (Closes: #476344)
       * Japanese
       * Norwegian Bokmal (Closes: #480063)
       * Polish (Closes: #480062)
       * Simplified Chinese (Closes: #475740)
       * Vietnamese (Closes: #477295)
Checksums-Sha1: 
 b270ad157453d8f2035487ec9dd4af367bf9c4dc 1382 aptitude_0.4.11.3-1.dsc
 86b6efce71f3a5fc2663e0729d6e1bf1a68077e7 5664563 aptitude_0.4.11.3.orig.tar.gz
 f014abb222ab31eba1f409d0617b8f5220ddf1c1 34921 aptitude_0.4.11.3-1.diff.gz
 22d945b681f117c9b1261b5a035011701793384d 344616 aptitude-doc-cs_0.4.11.3-1_all.deb
 b38d3148fe0ca12634c9a8ec30cd6aa5f16735d5 352134 aptitude-doc-en_0.4.11.3-1_all.deb
 3a66687fe4091e8cfc62b5c5391fff646c1ccef1 263082 aptitude-doc-fi_0.4.11.3-1_all.deb
 d64410f7c9d9d688652cfdd181f2ff93ec778a78 297042 aptitude-doc-fr_0.4.11.3-1_all.deb
 c3b092a924db6d6f75f4b8245cde32da80178317 362578 aptitude-doc-ja_0.4.11.3-1_all.deb
 ca72c69889a499fae0537363d5f213861e45362a 2837896 aptitude_0.4.11.3-1_i386.deb
 0c5443e1fbe4920a041e5032bc9db12b79e25eb8 6749638 aptitude-dbg_0.4.11.3-1_i386.deb
Checksums-Sha256: 
 7303f8a539492b0888aaf74d82de7ba44f01ae3ffddc0dca34639ff4ade32214 1382 aptitude_0.4.11.3-1.dsc
 cf9ed9b0087f669b0a16d068211660118f17f68c979451880753b95d4a57a6e3 5664563 aptitude_0.4.11.3.orig.tar.gz
 ee0d797baefb2809bc8f961bb2f774b4fa9bf0e0af92c6a15a2369b760e14c7c 34921 aptitude_0.4.11.3-1.diff.gz
 9a0ff8c4fc9ed7332cd87f92d9c6d6b9e7041b9c4c6a24d5bb0e240c04e44efc 344616 aptitude-doc-cs_0.4.11.3-1_all.deb
 c93481a19737d049a963abd9910d634487e40e8fe73534c98d89ab95413ae1b0 352134 aptitude-doc-en_0.4.11.3-1_all.deb
 a52f9b402b629401954888ac52f39f5235f75b07a51d25b99ac6f2cb4f530789 263082 aptitude-doc-fi_0.4.11.3-1_all.deb
 8d13ed90dd02e350ee227abe700c00b49a903307d7474eb4bc716f566eedbab2 297042 aptitude-doc-fr_0.4.11.3-1_all.deb
 c83f45e73ea0d15b590de06c31cad63d1fd6112e28da37968683292fdd979509 362578 aptitude-doc-ja_0.4.11.3-1_all.deb
 c2101de9b4110117dbe47556681f21c5e06c90fa943b2a8a18a4a6e5edc61ae1 2837896 aptitude_0.4.11.3-1_i386.deb
 de306d430effc4e3a56e9a881f6acc2037fc2c9720a41769cce0abc8fabf6540 6749638 aptitude-dbg_0.4.11.3-1_i386.deb
Files: 
 50725fb7256815550bda6e409543aab2 1382 admin - aptitude_0.4.11.3-1.dsc
 834eddf27d6c58454142f3ce5d73ee83 5664563 admin - aptitude_0.4.11.3.orig.tar.gz
 954f7aad7b1183f21f9686a2341ec021 34921 admin - aptitude_0.4.11.3-1.diff.gz
 c1ee3d1a199f8e2e357f526890e8ae62 344616 doc optional aptitude-doc-cs_0.4.11.3-1_all.deb
 3a186fc39565289556ceb545da585b33 352134 doc optional aptitude-doc-en_0.4.11.3-1_all.deb
 6c1c0eb5b75ba927cf7db049add26822 263082 doc optional aptitude-doc-fi_0.4.11.3-1_all.deb
 d2948b257523b03edd72c8d1d0f677aa 297042 doc optional aptitude-doc-fr_0.4.11.3-1_all.deb
 288f429d5e545c0f523ae65e4fea8c1b 362578 doc optional aptitude-doc-ja_0.4.11.3-1_all.deb
 9cd9def7c169fe088eb436fb9c370bd2 2837896 admin important aptitude_0.4.11.3-1_i386.deb
 98c2e231882bf0831db1b117574cc19f 6749638 devel extra aptitude-dbg_0.4.11.3-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIO5vIch6xsM7kSXgRAmsNAJ9oYuR219IJXqUp8Cp7VI1UqchqNgCg8VET
LEjOmb/kA7Pg+udGOe8L8tM=
=J/T+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Oct 2009 07:40:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:42:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.